Skip to content

updateShelfLifeSettings

WRITE

Update shelf life settings.

POST /api/v1/settings/updateShelfLifeSettings
curl -X POST '<your-host>/api/v1/settings/updateShelfLifeSettings' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "nearExpiryWarningDays": 0,
    "defaultShelfLifeDays": 0,
    "calculatedInputScope": "AllInputs",
    "expiredEntityPolicy": "Warn"
  }'

Parameters

ParameterType
"AllInputs""ManagedInputsOnly"
"Warn""Block""BlockWithOverride"

Input schema

schema
{
  "type": "object",
  "properties": {
    "nearExpiryWarningDays": {
      "type": "number"
    },
    "defaultShelfLifeDays": {
      "type": "number"
    },
    "calculatedInputScope": {
      "type": "string",
      "enum": [
        "AllInputs",
        "ManagedInputsOnly"
      ]
    },
    "expiredEntityPolicy": {
      "type": "string",
      "enum": [
        "Warn",
        "Block",
        "BlockWithOverride"
      ]
    }
  },
  "required": [
    "nearExpiryWarningDays",
    "defaultShelfLifeDays",
    "calculatedInputScope",
    "expiredEntityPolicy"
  ]
}